# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v1/doc-verify/mykad-back`

#### Request Body

| Name               | Type   | Description                  |
| ------------------ | ------ | ---------------------------- |
| caseNo             | string | Reference code given by user |
| apiKey             | string | To be assigned by Innov8tif  |
| idImageBase64Image | string | Back id card image in base64 |

{% tabs %}
{% tab title="200 New MyKad back's response" %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "00a632af-f6f7-485b-9dae-4f8211709690",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-signature",
                    "label": "Signature Landmark",
                    "value": "83.0052",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-signature",
                    "refImageUrl": null
                },
                {
                    "code": "l-tng",
                    "label": "TnG Landmark",
                    "value": "92.81230000000001",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-tng",
                    "refImageUrl": null
                },
                {
                    "code": "l-80k",
                    "label": "80k Landmark",
                    "value": "92.4028",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-80k",
                    "refImageUrl": null
                },
                {
                    "code": "l-tower",
                    "label": "Towers Landmark",
                    "value": "78.2558",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-tower",
                    "refImageUrl": null
                },
                {
                    "code": "l-crown",
                    "label": "Crown Landmark",
                    "value": "76.7101",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-crown",
                    "refImageUrl": null
                },
                {
                    "code": "l-malaysia",
                    "label": "Malaysia Text Landmark",
                    "value": "62.0873",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-malaysia",
                    "refImageUrl": null
                },
                {
                    "code": "l-kppn",
                    "label": "KPPN Landmark",
                    "value": "58.818599999999996",
                    "imageUrl": "/public/image/v2/00a632af-f6f7-485b-9dae-4f8211709690?type=l-kppn",
                    "refImageUrl": null
                },
                {
                    "code": "l-atm",
                    "label": "ATM Landmark",
                    "value": "0",
                    "imageUrl": null,
                    "refImageUrl": null
                },
                {
                    "code": "l-meps",
                    "label": "MEPS Landmark",
                    "value": "0",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": null
}
```

{% endtab %}

{% tab title="202 Old MyKad back's response" %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "e3442036-0e1a-4a75-a4cb-1686c35fcf98",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-signature",
                    "label": "Signature Landmark",
                    "value": "98.7171",
                    "imageUrl": "/public/image/v2/xxxxxxxxxxxx?type=l-signature",
                    "refImageUrl": null
                },
                {
                    "code": "l-tng",
                    "label": "TnG Landmark",
                    "value": "98.9934",
                    "imageUrl": "/public/image/v2/xxxxxxxxxx?type=l-tng",
                    "refImageUrl": null
                },
                {
                    "code": "l-80k",
                    "label": "80k Landmark",
                    "value": "99.34429999999999",
                    "imageUrl": null,
                    "refImageUrl": null
                },
                {
                    "code": "l-tower",
                    "label": "Towers Landmark",
                    "value": "99.1333",
                    "imageUrl": "/public/image/v2/xxxxxxxxxxxxx?type=l-tower",
                    "refImageUrl": null
                },
                {
                    "code": "l-crown",
                    "label": "Crown Landmark",
                    "value": "98.9687",
                    "imageUrl": "/public/image/v2/xxxxxxxxxx?type=l-crown",
                    "refImageUrl": null
                },
                {
                    "code": "l-malaysia",
                    "label": "Malaysia Text Landmark",
                    "value": "98.9323",
                    "imageUrl": "/public/image/v2/xxxxxxxxxxxxx?type=l-malaysia",
                    "refImageUrl": null
                },
                {
                    "code": "l-kppn",
                    "label": "KPPN Landmark",
                    "value": "98.2278",
                    "imageUrl": "/public/image/v2/xxxxxxxxxxx?type=l-kppn",
                    "refImageUrl": null
                },
                {
                    "code": "l-atm",
                    "label": "ATM Landmark",
                    "value": "98.59609999999999",
                    "imageUrl": "/public/image/v2/xxxxxxxxx?type=l-atm",
                    "refImageUrl": null
                },
                {
                    "code": "l-meps",
                    "label": "MEPS Landmark",
                    "value": "99.0865",
                    "imageUrl": "/public/image/v2/xxxxxxxxxxx?type=l-meps",
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": null
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
    "apiKey": "API_KEY",
    "caseNo": "CASE 123",
    "idImageBase64Image": "/9j/4AAQSkZJ...fYs1wRtQHt//Z\r\n"
}
```

{% file src="/files/-LtxYo2aOZfY1ktY0hSW" %}
OkayDoc MyKad Back
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/malaysia/my-id-card-back/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
